#!/usr/bin/env python

def boys():
    yield "Samuel"
    yield "Steve"
    return 2

def girls():
    yield "Ella"
    yield "Linda"
    return 2

def names(also_boys=True):
    number_of_girls = (yield from girls())
    print(f"{number_of_girls} girls")
    if also_boys:
        number_of_boys = (yield from boys())
        print(f"{number_of_boys} boys")


if __name__ == "__main__":
    print(list(names()))
    print(list(names(False)))
